From a9343c4c0d64f71346600e32bd98cd2eccd21bc1 Mon Sep 17 00:00:00 2001
From: Stephen Gran <Stephen.Gran@ioko.com>
Date: Fri, 17 Sep 2010 19:16:52 +0100
Subject: [PATCH] Hopefully more accurate patch for maintaining the correct value for run_event.

This looks like the intent of the original patch resetting run_event
to TRUE.  run_event is used to decide whether to run events, whether
they are service or host checks, but the block evaluating whether to run
checks is potentially destructive, ie, the block that determines whether
to run a service check can change the event list, so that the next block
is entered as well.  The correct way to deal with this is not to reset
the variable, but to make sure that the next block is not entered.

Signed-off-by: Stephen Gran <Stephen.Gran@ioko.com>
---
 base/events.c |   11 +----------
 1 files changed, 1 insertions(+), 10 deletions(-)

diff --git a/base/events.c b/base/events.c
index 0c9a91b..d7fd9a7 100644
--- a/base/events.c
+++ b/base/events.c
@@ -1082,16 +1082,7 @@ int event_execution_loop(void){
 					run_event=FALSE;
 				        }
 
-			        }
-
-			/* Removed. Reports that if you disable all service checks, service checks continue to be run. Also
-			   t-tap/test_events will fail if this flag is set - TV
-			*/
-			/* reset flag */
-			/* run_event=TRUE; */
-
-			/* run a few checks before executing a host check... */
-			if(event_list_low->event_type==EVENT_HOST_CHECK){
+			} else if(event_list_low->event_type==EVENT_HOST_CHECK){
 
 				temp_host=(host *)event_list_low->event_data;
 
-- 
1.7.1

